qpid-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From acon...@apache.org
Subject svn commit: r891235 - /qpid/trunk/qpid/cpp/src/tests/test_watchdog
Date Wed, 16 Dec 2009 13:40:59 GMT
Author: aconway
Date: Wed Dec 16 13:40:59 2009
New Revision: 891235

URL: http://svn.apache.org/viewvc?rev=891235&view=rev
Log:
test_watchdog: trivial test fix, check exit status of qpidd.

Modified:
    qpid/trunk/qpid/cpp/src/tests/test_watchdog

Modified: qpid/trunk/qpid/cpp/src/tests/test_watchdog
URL: http://svn.apache.org/viewvc/qpid/trunk/qpid/cpp/src/tests/test_watchdog?rev=891235&r1=891234&r2=891235&view=diff
==============================================================================
--- qpid/trunk/qpid/cpp/src/tests/test_watchdog (original)
+++ qpid/trunk/qpid/cpp/src/tests/test_watchdog Wed Dec 16 13:40:59 2009
@@ -22,8 +22,8 @@
 # Tests for the watchdog plug-in
 
 # Start a broker with  watchdog, freeze it with kill -STOP, verify that it is killed.
-PORT=`$QPIDD_EXEC -dp0 --no-data-dir --auth=no --no-module-dir --load-module $WATCHDOG_LIB
--log-to-file=qpidd_watchdog.log --watchdog-interval 1`
-PID=`$QPIDD_EXEC --no-module-dir -cp $PORT`
+PORT=`$QPIDD_EXEC -dp0 --no-data-dir --auth=no --no-module-dir --load-module $WATCHDOG_LIB
--log-to-file=qpidd_watchdog.log --watchdog-interval 1` || exit 1
+PID=`$QPIDD_EXEC --no-module-dir -cp $PORT` || exit 1
 kill -STOP $PID
 sleep 2
 



---------------------------------------------------------------------
Apache Qpid - AMQP Messaging Implementation
Project:      http://qpid.apache.org
Use/Interact: mailto:commits-subscribe@qpid.apache.org


Mime
View raw message